using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
    public partial class FMEnumItemMap : APTEntityBaseMap<T_FM_ENUM_ITEM>
    {
        public override void Configure(EntityTypeBuilder<T_FM_ENUM_ITEM> builder)
        {
            base.Configure(builder);

            builder.HasOne(t => t.Nav_Enum).WithMany(t => t.Nav_EnumItems).HasForeignKey(t => t.ENUM_ID).OnDelete(DeleteBehavior.Restrict);
        }
    }
}
